Subject: bug#64390: closed (Re: bug#64390: cksum: cannot --check untagged sums file)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Jul 2023 13:38:02 +0000

Your bug report

#64390: cksum: cannot --check untagged sums file

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64390: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64390
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64390: cksum: cannot --check untagged sums file
From: Christoph Anton Mitterer <[email-masked]>
To: Andreas Schwab <[email-masked]>
Cc: [email-masked]
Date: Sat, 01 Jul 2023 15:37:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, 2023-07-01 at 09:05 +0200, Andreas Schwab wrote:
> $ cksum -a sha512 -c sums.untagged

Haha... I'm so dumb. ^^
Thanks for pointing to the obvious.

Thus closing.

Cheers,
Chris.

Subject: cksum: cannot --check untagged sums file
From: Christoph Anton Mitterer <[email-masked]>
To: [email-masked]
Date: Sat, 01 Jul 2023 02:00:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey.

At least as of 9.1 (on Debian), it seems that cksum cannot --check a
sums file in the untagged style:

$ touch a b
$ cksum -a sha512 --tag * > sums.tagged
$ cksum -a sha512 --untagged * > sums.untagged

$ cat sums.tagged 
SHA512 (a) = cf83e1357eefb8bdf1542850d66d8007d620e4050b5715dc83f4a921d36ce9ce47d0d13c5d85f2b0ff8318d2877eec2f63b931bd47417a81a538327af927da3e
SHA512 (b) = cf83e1357eefb8bdf1542850d66d8007d620e4050b5715dc83f4a921d36ce9ce47d0d13c5d85f2b0ff8318d2877eec2f63b931bd47417a81a538327af927da3e
$ cat sums.untagged 
cf83e1357eefb8bdf1542850d66d8007d620e4050b5715dc83f4a921d36ce9ce47d0d13c5d85f2b0ff8318d2877eec2f63b931bd47417a81a538327af927da3e  a
cf83e1357eefb8bdf1542850d66d8007d620e4050b5715dc83f4a921d36ce9ce47d0d13c5d85f2b0ff8318d2877eec2f63b931bd47417a81a538327af927da3e  b
3423932033d74d924ebe77f281d9694b1fa98103ed38b4634a06759c08b63a4fd96783dfaae8e1acedc53e36129d461a5757ccf3903f5bf64242cd78d305c473  sums.tagged

$ cksum -c sums.tagged 
a: OK
b: OK

$ cksum -c sums.untagged 
cksum: sums.untagged: no properly formatted checksum lines found
$ cksum -c sums.untagged --tag
cksum: sums.untagged: no properly formatted checksum lines found
$ cksum -c sums.untagged --untagged
cksum: sums.untagged: no properly formatted checksum lines found
$ 

Not sure whether it should try to auto-determine the format...
I guess it would be possible, as long as no algorithm name every uses
a-zA-Z0-9 as starting letter.
But I rather tend to think it would be a bad idea to do so.

However, it should be possibl to use --tag or --untagged to specify a
format.

Thanks,
Chris.